local function is32bit()
	return string.dump(is32bit):byte(9) == 4
end

if is32bit() then
	require("tntanimator32")
else
	require("tntanimator64")
end

-- just read texture pack
local crockTexturePack = TexturePack.new("crock.txt", "crock.png")
local background = Bitmap.new(Texture.new("logo.png"))

-- init texture animation loader and read animations... 
local crockLoader = CTNTAnimatorLoader.new()

-- read nimation infos 
crockLoader:loadAnimations("crock.tan", crockTexturePack, true)

CPlayer = Core.class(Sprite)

function CPlayer:init(playerType)
	self.lastDirection = 1
	self.anim = CTNTAnimator.new(crockLoader)
	self.anim:addEventListener("ANIM_START", function(e)
		print("ANIM_START")
	end)
	self.anim:addEventListener("ANIM_STOP", function(e)
		print("ANIM_STOP")
	end)
	self.anim:addEventListener("ANIM_CHANGE", function(e)
		print("ANIM_CHANGE")
	end)
	self.anim:setAnimation("CROCK_IDLE_DOWN")
	self.anim:playAnimation()
    self.anim:addToParent(self)
	Timer.delayedCall(5000, function()
		self.anim:stopAnimation()
	end)
end

local crock = CPlayer.new()
crock:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)
stage:addChild(crock)

